package cz.muni.fi.pa165.services.match;

import cz.muni.fi.pa165.dao.match.MatchDao;
import cz.muni.fi.pa165.entity.MatchEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.transaction.Transactional;
import java.util.List;
import java.util.UUID;

/**
 * @author Dominik Kozubík
 */
@Service
@Transactional
public class MatchServiceImpl implements MatchService {

    @Autowired
    private MatchDao matchDao;

    @Override
    public void create(MatchEntity match) {
        if (match == null) {
            throw new IllegalArgumentException("Given entity is null.");
        }
        matchDao.create(match);
    }

    @Override
    public List<MatchEntity> findAll() {
        return matchDao.findAll();
    }

    @Override
    public MatchEntity findById(UUID id) {
        if (id == null) {
            throw new IllegalArgumentException("Given id is null.");
        }
        return matchDao.findById(id);
    }

    @Override
    public UUID update(MatchEntity match) {
        if (match == null) {
            throw new IllegalArgumentException("Given entity is null.");
        }
        return matchDao.update(match);
    }

    @Override
    public void remove(MatchEntity match) {
        if (match == null) {
            throw new IllegalArgumentException("Given entity is null.");
        }
        matchDao.remove(match);
    }
}
