package cz.muni.fi.pa165.mvc.controllers;

import cz.muni.fi.pa165.dto.PlayerDTO;
import cz.muni.fi.pa165.facade.PlayerFacade;
import cz.muni.fi.pa165.facade.TournamentFacade;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import java.util.List;
import java.util.UUID;

/**
 * @author Marek Kadlečík
 */
@Controller
@RequestMapping("/player")
public class PlayerController {

    @Autowired
    private PlayerFacade playerFacade;

    @RequestMapping(value = "/list", method = RequestMethod.GET)
    public String list(Model model) {
        List<PlayerDTO> players = playerFacade.findAllPlayers();
        model.addAttribute("players", players);
        return "player/list";
    }

    @RequestMapping(value = "/new", method = RequestMethod.GET)
    public String newPlayer(Model model) {
        // TODO model.addAttribute("tournamentsCreate", new CreateTournamentDTO() ...);
        return "player/new";
    }

    @RequestMapping(value = "/view/{id}", method = RequestMethod.GET)
    public String view(@PathVariable UUID id, Model model) {
        // TODO model.addAttribute("tournament", tournamentFacade.getTournamentWithId(id));
        return "player/view";
    }

    // TODO delete
}
